import 'package:rec_api_dart/src/entities/main.dart';

class AccountsMock {
  static Map<String, dynamic> accountNormalJson = {
    'name': 'test',
    'wallets': [
      {'currency': Currency.rec.name, 'balance': 0},
      {'currency': Currency.eur.name, 'balance': 0},
    ],
    'street': 'aaa',
    'address_number': 'aaa',
    'zip': 'aaa',
    'level': Map<String, dynamic>.from({'code': 'KYC2'}),
    'schedule': ''
  };
  static Map<String, dynamic> accountLtabJson = {
    'name': 'LI TOCA AL BARRI',
    'wallets': [
      {'currency': Currency.rec.name, 'balance': 0},
      {'currency': Currency.eur.name, 'balance': 0},
    ],
    'street': 'aaa',
    'address_number': 'aaa',
    'zip': 'aaa',
    'level': Map<String, dynamic>.from({'code': 'KYC2'}),
    'schedule': ''
  };

  static Map<String, dynamic> accountWithBankCards = {
    'name': 'test',
    'wallets': [
      {'currency': Currency.rec.name, 'balance': 0},
      {'currency': Currency.eur.name, 'balance': 0},
    ],
    'street': 'aaa',
    'address_number': 'aaa',
    'zip': 'aaa',
    'level': Map<String, dynamic>.from({'code': 'KYC2'}),
    'schedule': '',
    "bank_cards": [
      {
        "id": 139,
        "created": "2020-11-10T10:58:12+00:00",
        "alias": "401288XXXXXX1881",
        "deleted": false
      },
    ]
  };

  static Account accountNormal = Account.fromJson(accountNormalJson);
  static Account accountLtab = Account.fromJson(accountLtabJson);
}
